%Find out if program shall read all input files, or use variables in
%workspace

scratch_status=input('Start from scratch? y [Default] / <any key>: ','s');
if scratch_status=='y'
    clear all;
    read_input=true;
    delete_old=true;
    tmp=false;
elseif isempty(scratch_status)
    clear all;
    read_input=true;
    delete_old=true;
    tmp=false;
else
    disp('WARNING: Workspace must contain variables for this option to work!');
    read_workspace_check=input('Press ENTER to continue, r to read in old data...','s');
    if ~isempty(read_workspace_check)
        fprintf('Loading...');
        load('run_variables.mat');
        fprintf('.......................................................................\t\tOK!\n');
        tmp_dir_runvars=dir('run_variables.mat');
        fprintf('Using variables from %20s............',tmp_dir_runvars.date);
        fprintf('............................\t\tOK!\n');
        
        %Re-open  logfile if error
        try
            logfile([],['Using variables from ' tmp_dir_runvars.date '...']);
        catch err
            tmp=true;
        end
            
    end
    read_input=false;
end

%If start from scratch, log file FID is deleted, thus open again:
global fid_log fid_log_all
file_name_log='logfile.log';
file_name_log_all='logfile_all.log';
fid_log=fopen(file_name_log,'a');
fid_log_all=fopen(file_name_log_all,'a');

if tmp==true
    logfile([],['Using variables from ' tmp_dir_runvars.date '...'])
end


if read_input==true
    logfile(3);
else
    logfile(4);
end

% %Find out if program shall print out more compact damage/fatigue life files
% if read_input==true %Only if new read of input will
%     disp('Program can write new ASCII files with more compact view of');
%     disp('  Fatigue Life and Minor Damage');
%     comp_res_status=input('Create more compact result files? y / n [Default]: ','s');
%     if comp_res_status=='n'
%         write_new_files=false;
%         logfile(5);
%     elseif isempty(comp_res_status)
%         write_new_files=false;
%         logfile(5);
%     else
%         write_new_files=true;
%         logfile(6);
%     end
% end

%Find out if program shall delete existing result folders if found
if read_input==false
    old_files_status=input('Delete existing result files? y / n [Default]: ','s');
    if old_files_status=='n'
        delete_old=false;
        logfile(7);
    elseif isempty(old_files_status)
        delete_old=false;
        logfile(7);
    else
        delete_old=true;
        logfile(8);
    end
end

global create_plots;
%Find out if program should make plots
create_plots_status=input('Create detail result plots (Time Consuming!)? y / n [Default]: ','s');
if create_plots_status=='n'
    create_plots=false;
    logfile(9);
elseif isempty(create_plots_status)
    create_plots=false;
    logfile(9);
else
    create_plots=true;
    logfile(10);
end

%Give input on limit for changes in fatigue life to be considered
disp('Give threshold limit for changes in fatigue life [Default 50%]: ')
threshold_fat=input('Note: Unit is [%], input is only a value... : ');
if isempty(threshold_fat)
    threshold_fat=50; 
end


%Time the run
tic;