%#ok<*MSNU>
%% INPUT: Connect selected sets to structural positions
fprintf('Give connection between sets with damage, and position in structure..............\n');
logfile([],'Defining connections between sets with damage, and adjacent, parallel etc. sets...');

%Memory
set_name_index_same=zeros(ndamsets,1);
joint_set_connection=zeros(njoints,1);


%% INPUT: Parallell sets
fprintf('\nDEFINE PARALLEL SETS: \n');
fprintf('\tGive which set numbers that corresponds to a parallel set.\n');
input('	Press ENTER to start...');
logfile([],'PARALLEL SETS');

use_old_parallel_set=false;
if exist('setindexparallel.mat','file');
    check_use_old=input('Use previous input? y [Default] / n :','s');
    if strcmp(check_use_old,'n')
        use_old_parallel_set=false;
    else
        use_old_parallel_set=true;
        load('setindexparallel.mat');
        
        fprintf('Available sets:\n');
        for j=1:length(set_names)
            fprintf('%d:\t%s\n',j,char(set_names(j)));
        end
        
        fprintf('\n');
        for j=1:ndamsets
            fprintf('Set: %15s \t has parallel set(s):\t %12s\n',char(dam_in_set_unique_cell(j)),num2str(set_name_index_parallel(j,set_name_index_parallel(j,:)>0)));
        end
        
        
        logfile([],'Using old input:');
        logfile(-1,[],set_name_index_parallel);
    end
end

if use_old_parallel_set==false
    for i=1:ndamsets
        fprintf('\n---------------------------------------\n\n');
        fprintf('\t--# %s #--\n',upper(char(dam_in_set_unique_cell(i))));
        logfile([],['Damage in set ' char(dam_in_set_unique_cell(i)) ':']);
        fprintf('Available sets:\n');
        for j=1:length(set_names)
            fprintf('%d:\t%s\n',j,char(set_names(j)));
        end
        
        inp=input('        Give parallel set number(s), e.g. "1,2,6" (0=none). ENTER to continue: ','s');
        tmp=str2num(inp); %#ok<ST2NM>

        cnt=1;
        if tmp==0
            %No parallel
            set_name_index_parallel(i,1)=0;                             %#ok<SAGROW>
            logfile([],'Selected no set as parallel');
        else
            for k=1:length(tmp)
                set_name_index_parallel(i,cnt)=tmp(k);                  %#ok<SAGROW>
                logfile([],['Selected set #' num2str(tmp(k)) ' ' char(set_names(tmp(k))) ' as parallel']);
                cnt=cnt+1;
            end
        end
    end
end

%Save variable
save('setindexparallel','set_name_index_parallel');

%% INPUT: Adjacent sets
fprintf('\nDEFINE ADJACENT SETS: \n');
fprintf('\tGive which set number that corresponds to an adjacent set.\n');
input('  Press ENTER to start...');
logfile([],'ADJACENT SETS');

use_old_adjacent_set=false;
if exist('setindexadjacent.mat','file');
    check_use_old=input('Use previous input? y [Default] / n :','s');
    if strcmp(check_use_old,'n')
        use_old_adjacent_set=false;
    else
        use_old_adjacent_set=true;
        load('setindexadjacent.mat');     
        
        fprintf('Available sets:\n');
        for j=1:length(set_names)
            fprintf('%d:\t%s\n',j,char(set_names(j)));
        end
        
        fprintf('\n');
        for j=1:ndamsets
            fprintf('Set: %15s \t has adjacent set(s):\t %12s\n',char(dam_in_set_unique_cell(j)),num2str(set_name_index_adjacent(j,set_name_index_adjacent(j,:)>0)));
        end
        
        logfile([],'Using old input:');
        logfile(-1,[],set_name_index_adjacent);
        
    end
end

if use_old_adjacent_set==false
    for i=1:ndamsets
        fprintf('\n---------------------------------------\n\n');
        fprintf('\t--# %s #--\n',upper(char(dam_in_set_unique_cell(i))));
        fprintf('Available sets:\n');
        logfile([],['Damage in set ' char(dam_in_set_unique_cell(i)) ':']);
        for j=1:nsets
            fprintf('%d:\t%s\n',j,char(set_names(j)));
        end
        
        inp=input('        Give adjacent set number(s), e.g. "1,2,6" (0=none). ENTER to continue: ','s');
        tmp=str2num(inp); %#ok<ST2NM>

        cnt=1;
        for k=1:length(tmp)
            set_name_index_adjacent(i,cnt)=tmp(k);                %#ok<SAGROW,AGROW>
            logfile([],['Selected set #' num2str(tmp(k)) ' ' char(set_names(tmp(k))) ' as adjacent']);
            cnt=cnt+1;
        end
    end
end

%Save variable
save('setindexadjacent','set_name_index_adjacent');
%% PROCESS: Find same set and remaining sets

logfile([],'SAME SET');
%Based on input, find the same set
for i=1:ndamsets
    for j=1:nsets
        if strcmp(char(dam_in_set_unique_cell(i)),char(set_names(j)))
            set_name_index_same(i,1)=j;
            logfile([],['#' num2str(j) ' ' char(dam_in_set_unique_cell(i)) '=' char(set_names(j))]);
            
            break;
        end
    end
end


logfile([],'REMAINING SETS');
for i=1:ndamsets
    %Get current sets already in other compare cases
    tmp1=set_name_index_parallel(i,set_name_index_parallel(i,:)>0);
    tmp2=set_name_index_adjacent(i,set_name_index_adjacent(i,:)>0);
    tmp3=set_name_index_same(i,set_name_index_same(i,:)>0);
    
    %Collect to one vector containing all the defined compare sets
    tmp4=[tmp1 tmp2 tmp3];
    
    logfile(0,['Damage set: ' char(dam_in_set_unique_cell(i)) ' has remaining sets: ']);
    cnt=1;
    for j=1:nsets
        tmp_check=true;
        for k=1:length(tmp4)
            if tmp4(k)==j
                tmp_check=false;
                
                break;   %Only need one false to reject j 
            end
        end
        
        if tmp_check==true; %j was not found
            set_name_index_rest(i,cnt)=j; %#ok<SAGROW,AGROW> %Only if none of the other compare variables contains set_name(j)
            logfile(0,[num2str(j) '  ']);
            cnt=cnt+1;
        end
    end
    logfile(-2);
end
        
