


%% PROCESS: Mean and Std for adj, same, par etc sorted against all runs
mumr=zeros(nruns,5);
stdmr=zeros(nruns,5);

mx=1;

for i=1:nruns
    tmp=change_adj_memb(i,change_adj_memb(i,:)>0);
    mumr(i,1)=mean(tmp(tmp<=mx));
    stdmr(i,1)=std(tmp(tmp<=mx));
    
    tmp=change_sameset_memb(i,change_sameset_memb(i,:)>0);
    mumr(i,2)=mean(tmp(tmp<=mx));
    stdmr(i,2)=std(tmp(tmp<=mx));
    
    tmp=change_adjset_memb(i,change_adjset_memb(i,:)>0);
    mumr(i,3)=mean(tmp(tmp<=mx));
    stdmr(i,3)=std(tmp(tmp<=mx));
    
    tmp=change_parset_memb(i,change_parset_memb(i,:)>0);
    mumr(i,4)=mean(tmp(tmp<=mx));
    stdmr(i,4)=std(tmp(tmp<=mx));
    
    tmp=change_rest_memb(i,change_rest_memb(i,:)>0);
    mumr(i,5)=mean(tmp(tmp<=mx));
    stdmr(i,5)=std(tmp(tmp<=mx));
end

%Mean
f=figure('Visible','Off');
plot(1:nruns,mumr(:,1),'.',1:nruns,mumr(:,2),'*',1:nruns,mumr(:,3),'s',1:nruns,mumr(:,4),'d',1:nruns,mumr(:,5),'o');
legend('Adjacent memb','Same set','Adjacent set','Parallel set','Remaining members','Location','SouthOutside','Orientation','horizontal');
title(['MEAN CHANGE IN FATIGUE LIFE (R_3<=', num2str(mx) ')'],'FontSize',12);
xlabel('Run#');
ylabel('Value');

%print(f,'-dpng',[pwd '\MATLAB PLOTS\FigureSetPosR3Lt' num2str(mx) 'MeanAllRuns.png']);
saveas(f,[pwd '\MATLAB PLOTS\FigureSetPosR3Lt' num2str(mx) 'MeanAllRuns.fig'],'fig');

close(f);

%Std
f=figure('Visible','Off');
plot(1:nruns,stdmr(:,1),'.',1:nruns,stdmr(:,2),'*',1:nruns,stdmr(:,3),'s',1:nruns,stdmr(:,4),'d',1:nruns,stdmr(:,5),'o');
legend('Adjacent memb','Same set','Adjacent set','Parallel set','Remaining members','Location','SouthOutside','Orientation','horizontal');
title(['STD CHANGE IN FATIGUE LIFE (R_3<=', num2str(mx) ')'],'FontSize',12);
xlabel('Run#');
ylabel('Value');

print(f,'-dpng',[pwd '\MATLAB PLOTS\FigureSetPosR3Lt' num2str(mx) 'StdAllRuns.png']);

close(f);



%% PROCESS: Mean and Std for adj, same, par etc sorted against sets
mums=zeros(ndamsets,5);
stdms=zeros(ndamsets,5);

mx=1;

for i=1:ndamsets
    tmp=change_adj_memb_tot(i,change_adj_memb_tot(i,:)>0);
    mums(i,1)=mean(tmp(tmp<=mx));
    stdms(i,1)=std(tmp(tmp<=mx));
    
    tmp=change_sameset_memb_tot(i,change_sameset_memb_tot(i,:)>0);
    mums(i,2)=mean(tmp(tmp<=mx));
    stdms(i,2)=std(tmp(tmp<=mx));
    
    tmp=change_adjset_memb_tot(i,change_adjset_memb_tot(i,:)>0);
    mums(i,3)=mean(tmp(tmp<=mx));
    stdms(i,3)=std(tmp(tmp<=mx));
    
    tmp=change_parset_memb_tot(i,change_parset_memb_tot(i,:)>0);
    mums(i,4)=mean(tmp(tmp<=mx));
    stdms(i,4)=std(tmp(tmp<=mx));
    
    tmp=change_rest_memb_tot(i,change_rest_memb_tot(i,:)>0);
    mums(i,5)=mean(tmp(tmp<=mx));
    stdms(i,5)=std(tmp(tmp<=mx));
end

%Mean
f=figure('Visible','Off');
plot(dam_in_set_unq,mums(:,1),'.',dam_in_set_unq,mums(:,2),'*',dam_in_set_unq,mums(:,3),'s',dam_in_set_unq,mums(:,4),'d',dam_in_set_unq,mums(:,5),'o');
legend('Adjacent memb','Same set','Adjacent set','Parallel set','Remaining members','Location','SouthOutside','Orientation','horizontal');
title(['MEAN CHANGE IN FATIGUE LIFE (R_3<=', num2str(mx) ')'],'FontSize',12);
xlim([min(dam_in_set_unq)-0.5 max(dam_in_set_unq)+0.5]);
xlabel('Set#');
ylabel('Value');

print(f,'-dpng',[pwd '\MATLAB PLOTS\FigureSetPosR3Lt' num2str(mx) 'MeanAllSets.png']);

close(f);

%Std
f=figure('Visible','Off');
plot(dam_in_set_unq,stdms(:,1),'.',dam_in_set_unq,stdms(:,2),'*',dam_in_set_unq,stdms(:,3),'s',dam_in_set_unq,stdms(:,4),'d',dam_in_set_unq,stdms(:,5),'o');
legend('Adjacent memb','Same set','Adjacent set','Parallel set','Remaining members','Location','SouthOutside','Orientation','horizontal');
title(['STD CHANGE IN FATIGUE LIFE (R_3<=', num2str(mx) ')'],'FontSize',12);
xlim([min(dam_in_set_unq)-0.5 max(dam_in_set_unq)+0.5]);
xlabel('Set#');
ylabel('Value');

print(f,'-dpng',[pwd '\MATLAB PLOTS\FigureSetPosR3Lt' num2str(mx) 'StdAllSets.png']);

close(f);

%%
%Convert to PNG
saveaspng([pwd '\MATLAB PLOTS\'],12,12,1,1);
