%Folders
if ~exist([pwd '/MATLAB PLOTS'],'dir')
    mkdir([pwd '/MATLAB PLOTS']);
end

if ~exist([pwd '/MATLAB PLOTS/HISTOGRAM R3'],'dir')
    mkdir([pwd '/MATLAB PLOTS/HISTOGRAM R3']);
end


%% PLOT: Change in fatigue life ration for all members sorted against adjacent memb, members in same set, paralell set, adj set etc

%Max ratio to plot
mx=2;
nbins=ceil(mx*10+1); %Should ensure that one bin covers R3=1


%Adjacent
tmp=change_adj_memb_tot(change_adj_memb_tot>0); %Extract all "valid" entries
f1=figure('Visible','Off');
[N X]=hist(tmp(tmp<=mx),nbins); %Hist only R3 below mx specified above
bar(X,N);
set(gca,'YScale','log');
title(['HISTOGRAM R_3 (<=' num2str(mx) ')' sprintf('\n') 'ADJACENT MEMBERS'],'FontSize',12);
xlabel('Redundancy factor R_3 (ratio in fatigue life)');
ylabel('Number of occurences (log-scale)');

%print(f1,'-dpng',[pwd '\MATLAB PLOTS\HISTOGRAM R3\FigureHistR3LT' num2str(mx) 'Pl1AdjacentMembersAllRuns.png']);
saveas(f1,[pwd '\MATLAB PLOTS\HISTOGRAM R3\FigureHistR3LT' num2str(mx) 'Pl1AdjacentMembersAllRuns.fig'],'fig');
close(f1);


%Same
tmp=change_sameset_memb_tot(change_sameset_memb_tot>0); %Extract all "valid" entries
f2=figure('Visible','Off');
[N X]=hist(tmp(tmp<=mx),nbins); %Hist only R3 below mx specified aboves
bar(X,N);
set(gca,'YScale','log');
title(['HISTOGRAM R_3 (<=' num2str(mx) ')' sprintf('\n') 'MEMBERS IN SAME SET'],'FontSize',12);
xlabel('Redundancy factor R_3 (ratio in fatigue life)');
ylabel('Number of occurences (log-scale)');

%print(f2,'-dpng',[pwd '\MATLAB PLOTS\HISTOGRAM R3\FigureHistR3LT' num2str(mx) 'Pl2SameSetAllRuns.png']);
saveas(f2,[pwd '\MATLAB PLOTS\HISTOGRAM R3\FigureHistR3LT' num2str(mx) 'Pl2SameSetAllRuns.fig'],'fig');
close(f2);


%Parallel
tmp=change_parset_memb_tot(change_parset_memb_tot>0); %Extract all "valid" entries
f3=figure('Visible','Off');
[N X]=hist(tmp(tmp<=mx),nbins); %Hist only R3 below mx specified above
bar(X,N);
set(gca,'YScale','log');
title(['HISTOGRAM R_3 (<=' num2str(mx) ')' sprintf('\n') 'MEMBERS IN PARALLEL SET'],'FontSize',12);
xlabel('Redundancy factor R_3 (ratio in fatigue life)');
ylabel('Number of occurences (log-scale)');

%print(f3,'-dpng',[pwd '\MATLAB PLOTS\HISTOGRAM R3\FigureHistR3LT' num2str(mx) 'Pl4ParallelSetAllRuns.png']);
saveas(f3,[pwd '\MATLAB PLOTS\HISTOGRAM R3\FigureHistR3LT' num2str(mx) 'Pl4ParallelSetAllRuns.fig'],'fig');
close(f3);


%Remaining
tmp=change_rest_memb_tot(change_rest_memb_tot>0); %Extract all "valid" entries
f4=figure('Visible','Off');
[N X]=hist(tmp(tmp<=mx),nbins); %Hist only R3 below mx specified above
bar(X,N);
set(gca,'YScale','log');
title(['HISTOGRAM R_3 (<=' num2str(mx) ')' sprintf('\n') 'REMAINING MEMBERS'],'FontSize',12);
xlabel('Redundancy factor R_3 (ratio in fatigue life)');
ylabel('Number of occurences (log-scale)');

%print(f4,'-dpng',[pwd '\MATLAB PLOTS\HISTOGRAM R3\FigureHistR3LT' num2str(mx) 'Pl5RemainingMembersAllRuns.png']);
saveas(f4,[pwd '\MATLAB PLOTS\HISTOGRAM R3\FigureHistR3LT' num2str(mx) 'Pl5RemainingMembersAllRuns.fig'],'fig');
close(f4);


%Adjacent set
tmp=change_adjset_memb_tot(change_adjset_memb_tot>0); %Extract all "valid" entries
f5=figure('Visible','Off');
[N X]=hist(tmp(tmp<=mx),nbins); %Hist only R3 below mx specified above
bar(X,N);
set(gca,'YScale','log');
title(['HISTOGRAM R_3 (<=' num2str(mx) ')' sprintf('\n') 'ADJACENT SET'],'FontSize',12);
xlabel('Redundancy factor R_3 (ratio in fatigue life)');
ylabel('Number of occurences (log-scale)');

%print(f5,'-dpng',[pwd '\MATLAB PLOTS\HISTOGRAM R3\FigureHistR3LT' num2str(mx) 'Pl3AdjacentSetAllRuns.png']);
saveas(f5,[pwd '\MATLAB PLOTS\HISTOGRAM R3\FigureHistR3LT' num2str(mx) 'Pl3AdjacentSetAllRuns.fig'],'fig');
close(f5);


%% PLOT: R3 sorted against adj, par set, same set etc, but sorted around each set instead of structure as a whole
for i=1:nsets
    %Max ratio to plot
    mx=2;
    nbins=ceil(mx*10+1); %Should ensure that one bin covers R3=1


    %Adjacent
    tmp=change_adj_memb(dam_in_set==i,:);     tmp=tmp(tmp>0); %Extract all "valid" entries
    f1=figure('Visible','Off');
    [N X]=hist(tmp(tmp<=mx),nbins); %Hist only R3 below mx specified above
    bar(X,N);
    set(gca,'YScale','log');
    title(['HISTOGRAM R_3 (<=' num2str(mx) ') FOR SET ' char(set_names(i)) sprintf('\n') 'ADJACENT MEMBERS'],'FontSize',12);
    xlabel('Redundancy factor R_3 (ratio in fatigue life)');
    ylabel('Number of occurences (log-scale)');

    %print(f1,'-dpng',[pwd '\MATLAB PLOTS\HISTOGRAM R3\FigureHistR3LT' num2str(mx) 'Set' strrep(char(set_names(i)),' ','') 'Pl1AdjacentMembers.png']);
    saveas(f1,[pwd '\MATLAB PLOTS\HISTOGRAM R3\FigureHistR3LT' num2str(mx) 'Set' strrep(char(set_names(i)),' ','') 'Pl1AdjacentMembers.fig'],'fig');
    close(f1);


    %Same
    tmp=change_sameset_memb(dam_in_set==i,:);     tmp=tmp(tmp>0); %Extract all "valid" entries
    f2=figure('Visible','Off');
    [N X]=hist(tmp(tmp<=mx),nbins); %Hist only R3 below mx specified above
    bar(X,N);
    set(gca,'YScale','log');
    title(['HISTOGRAM R_3 (<=' num2str(mx) ') FOR SET ' char(set_names(i)) sprintf('\n') 'MEMBERS IN SAME SET'],'FontSize',12);
    xlabel('Redundancy factor R_3 (ratio in fatigue life)');
    ylabel('Number of occurences (log-scale)');

    %print(f2,'-dpng',[pwd '\MATLAB PLOTS\HISTOGRAM R3\FigureHistR3LT' num2str(mx) 'Set' strrep(char(set_names(i)),' ','') 'Pl2SameSet.png']);
    saveas(f2,[pwd '\MATLAB PLOTS\HISTOGRAM R3\FigureHistR3LT' num2str(mx) 'Set' strrep(char(set_names(i)),' ','') 'Pl2SameSet.fig'],'fig');
    close(f2);


    %Parallel
    tmp=change_parset_memb(dam_in_set==i,:);     tmp=tmp(tmp>0); %Extract all "valid" entries
    f3=figure('Visible','Off');
    [N X]=hist(tmp(tmp<=mx),nbins); %Hist only R3 below mx specified above
    bar(X,N);
    set(gca,'YScale','log');
    title(['HISTOGRAM R_3 (<=' num2str(mx) ') FOR SET ' char(set_names(i)) sprintf('\n') 'MEMBERS IN PARALLEL SET'],'FontSize',12);
    xlabel('Redundancy factor R_3 (ratio in fatigue life)');
    ylabel('Number of occurences (log-scale)');

    %print(f3,'-dpng',[pwd '\MATLAB PLOTS\HISTOGRAM R3\FigureHistR3LT' num2str(mx) 'Set' strrep(char(set_names(i)),' ','') 'Pl4ParallelSet.png']);
    saveas(f3,[pwd '\MATLAB PLOTS\HISTOGRAM R3\FigureHistR3LT' num2str(mx) 'Set' strrep(char(set_names(i)),' ','') 'Pl4ParallelSet.fig'],'fig');
    close(f3);


    %Remaining
    tmp=change_rest_memb(dam_in_set==i,:);     tmp=tmp(tmp>0); %Extract all "valid" entries
    f4=figure('Visible','Off');
    [N X]=hist(tmp(tmp<=mx),nbins); %Hist only R3 below mx specified above
    bar(X,N);
    set(gca,'YScale','log');
    title(['HISTOGRAM R_3 (<=' num2str(mx) ') FOR SET ' char(set_names(i)) sprintf('\n') 'REMAINING MEMBERS'],'FontSize',12);
    xlabel('Redundancy factor R_3 (ratio in fatigue life)');
    ylabel('Number of occurences (log-scale)');

    %print(f4,'-dpng',[pwd '\MATLAB PLOTS\HISTOGRAM R3\FigureHistR3LT' num2str(mx) 'Set' strrep(char(set_names(i)),' ','') 'Pl5RemainingMembers.png']);
    saveas(f4,[pwd '\MATLAB PLOTS\HISTOGRAM R3\FigureHistR3LT' num2str(mx) 'Set' strrep(char(set_names(i)),' ','') 'Pl5RemainingMembers.fig'],'fig');
    close(f4);
    
    
    %Adjacent set
    tmp=change_adjset_memb(dam_in_set==i,:);     tmp=tmp(tmp>0); %Extract all "valid" entries
    f5=figure('Visible','Off');
    [N X]=hist(tmp(tmp<=mx),nbins); %Hist only R3 below mx specified above
    bar(X,N);
    set(gca,'YScale','log');
    title(['HISTOGRAM R_3 (<=' num2str(mx) ') FOR SET ' char(set_names(i)) sprintf('\n') 'ADJACENT SETS'],'FontSize',12);
    xlabel('Redundancy factor R_3 (ratio in fatigue life)');
    ylabel('Number of occurences (log-scale)');

    %print(f5,'-dpng',[pwd '\MATLAB PLOTS\HISTOGRAM R3\FigureHistR3LT' num2str(mx) 'Set' strrep(char(set_names(i)),' ','') 'Pl3AdjacentSet.png']);
    saveas(f5,[pwd '\MATLAB PLOTS\HISTOGRAM R3\FigureHistR3LT' num2str(mx) 'Set' strrep(char(set_names(i)),' ','') 'Pl3AdjacentSet.fig'],'fig');
    close(f5);
end

%%
%Convert to PNG
saveaspng([pwd '\MATLAB PLOTS\HISTOGRAM R3'],12,12,1,1);
saveaspng([pwd '\MATLAB PLOTS\'],12,12,1,1);
