%Folders
if ~exist([pwd '/MATLAB PLOTS'],'dir')
    mkdir([pwd '/MATLAB PLOTS']);
end

if ~exist([pwd '/MATLAB PLOTS/HISTOGRAM R4'],'dir')
    mkdir([pwd '/MATLAB PLOTS/HISTOGRAM R4']);
end

%% PLOT: Change in fatigue life ration for all members sorted against adjacent memb, members in same set, paralell set, adj set etc

%Max ratio to plot
mx=10;
nbins=20;


%Adjacent
tmp=changeR4_adj_memb_tot(changeR4_adj_memb_tot>0); %Extract all "valid" entries
f1=figure('Visible','Off');
[N X]=hist(tmp(tmp<=mx),nbins); %Hist only R4 below mx specified above
bar(X,N);
set(gca,'YScale','log');
title(['HISTOGRAM R_4 (<=' num2str(mx) ')' sprintf('\n') 'ADJACENT MEMBERS'],'FontSize',12);
xlabel('Redundancy factor R_4 (ratio in fatigue life)');
ylabel('Number of occurences (log-scale)');

print(f1,'-dpng',[pwd '\MATLAB PLOTS\HISTOGRAM R4\FigureHistR4LT' num2str(mx) 'Pl1AdjacentMembersAllRuns.png']);
close(f1);


%Same
tmp=changeR4_sameset_memb_tot(changeR4_sameset_memb_tot>0); %Extract all "valid" entries
f2=figure('Visible','Off');
[N X]=hist(tmp(tmp<=mx),nbins); %Hist only R4 below mx specified above
bar(X,N);
set(gca,'YScale','log');
title(['HISTOGRAM R_4 (<=' num2str(mx) ')' sprintf('\n') 'MEMBERS IN SAME SET'],'FontSize',12);
xlabel('Redundancy factor R_4 (ratio in fatigue life)');
ylabel('Number of occurences (log-scale)');

print(f2,'-dpng',[pwd '\MATLAB PLOTS\HISTOGRAM R4\FigureHistR4LT' num2str(mx) 'Pl2SameSetAllRuns.png']);
close(f2);


%Parallel
tmp=changeR4_parset_memb_tot(changeR4_parset_memb_tot>0); %Extract all "valid" entries
f3=figure('Visible','Off');
[N X]=hist(tmp(tmp<=mx),nbins); %Hist only R4 below mx specified above
bar(X,N);
set(gca,'YScale','log');
title(['HISTOGRAM R_4 (<=' num2str(mx) ')' sprintf('\n') 'MEMBERS IN PARALLEL SET'],'FontSize',12);
xlabel('Redundancy factor R_4 (ratio in fatigue life)');
ylabel('Number of occurences (log-scale)');

print(f3,'-dpng',[pwd '\MATLAB PLOTS\HISTOGRAM R4\FigureHistR4LT' num2str(mx) 'Pl4ParallelSetAllRuns.png']);
close(f3);


%Remaining
tmp=changeR4_rest_memb_tot(changeR4_rest_memb_tot>0); %Extract all "valid" entries
f4=figure('Visible','Off');
[N X]=hist(tmp(tmp<=mx),nbins); %Hist only R4 below mx specified above
bar(X,N);
set(gca,'YScale','log');
title(['HISTOGRAM R_4 (<=' num2str(mx) ')' sprintf('\n') 'REMAINING MEMBERS'],'FontSize',12);
xlabel('Redundancy factor R_4 (ratio in fatigue life)');
ylabel('Number of occurences (log-scale)');

print(f4,'-dpng',[pwd '\MATLAB PLOTS\HISTOGRAM R4\FigureHistR4LT' num2str(mx) 'Pl5RemainingMembersAllRuns.png']);
close(f4);

%Adjacetn set
tmp=changeR4_adjset_memb_tot(changeR4_adjset_memb_tot>0); %Extract all "valid" entries
f5=figure('Visible','Off');
[N X]=hist(tmp(tmp<=mx),nbins); %Hist only R4 below mx specified above
bar(X,N);
set(gca,'YScale','log');
title(['HISTOGRAM R_4 (<=' num2str(mx) ')' sprintf('\n') 'ADJACENT SET'],'FontSize',12);
xlabel('Redundancy factor R_4 (ratio in fatigue life)');
ylabel('Number of occurences (log-scale)');

print(f5,'-dpng',[pwd '\MATLAB PLOTS\HISTOGRAM R4\FigureHistR4LT' num2str(mx) 'Pl3AdjacentSetAllRuns.png']);
close(f5);


%% PLOT: R4 sorted against adj, par set, same set etc, but sorted around each set instead of structure as a whole
for i=1:nsets
    %Max ratio to plot
    mx=10;
    nbins=20;


    %Adjacent
    tmp=changeR4_adj_memb(dam_in_set==i,:);     tmp=tmp(tmp>0); %Extract all "valid" entries
    f1=figure('Visible','Off');
    [N X]=hist(tmp(tmp<=mx),nbins); %Hist only R4 below mx specified above
    bar(X,N);
    set(gca,'YScale','log');
    title(['HISTOGRAM R_4 (<=' num2str(mx) ') FOR SET ' char(set_names(i)) sprintf('\n') 'ADJACENT MEMBERS'],'FontSize',12);
    xlabel('Redundancy factor R_4 (ratio in fatigue life)');
    ylabel('Number of occurences (log-scale)');

    print(f1,'-dpng',[pwd '\MATLAB PLOTS\HISTOGRAM R4\FigureHistR4LT' num2str(mx) 'Set' strrep(char(set_names(i)),' ','') 'Pl1AdjacentMembers.png']);
    close(f1);


    %Same
    tmp=changeR4_sameset_memb(dam_in_set==i,:);     tmp=tmp(tmp>0); %Extract all "valid" entries
    f2=figure('Visible','Off');
    [N X]=hist(tmp(tmp<=mx),nbins); %Hist only R4 below mx specified above
    bar(X,N);
    set(gca,'YScale','log');
    title(['HISTOGRAM R_4 (<=' num2str(mx) ') FOR SET ' char(set_names(i)) sprintf('\n') 'MEMBERS IN SAME SET'],'FontSize',12);
    xlabel('Redundancy factor R_4 (ratio in fatigue life)');
    ylabel('Number of occurences (log-scale)');

    print(f2,'-dpng',[pwd '\MATLAB PLOTS\HISTOGRAM R4\FigureHistR4LT' num2str(mx) 'Set' strrep(char(set_names(i)),' ','') 'Pl2SameSet.png']);
    close(f2);


    %Parallel
    tmp=changeR4_parset_memb(dam_in_set==i,:);     tmp=tmp(tmp>0); %Extract all "valid" entries
    f3=figure('Visible','Off');
    [N X]=hist(tmp(tmp<=mx),nbins); %Hist only R4 below mx specified above
    bar(X,N);
    set(gca,'YScale','log');
    title(['HISTOGRAM R_4 (<=' num2str(mx) ') FOR SET ' char(set_names(i)) sprintf('\n') 'MEMBERS IN PARALLEL SET'],'FontSize',12);
    xlabel('Redundancy factor R_4 (ratio in fatigue life)');
    ylabel('Number of occurences (log-scale)');

    print(f3,'-dpng',[pwd '\MATLAB PLOTS\HISTOGRAM R4\FigureHistR4LT' num2str(mx) 'Set' strrep(char(set_names(i)),' ','') 'Pl4ParallelSet.png']);
    close(f3);


    %Remaining
    tmp=changeR4_rest_memb(dam_in_set==i,:);     tmp=tmp(tmp>0); %Extract all "valid" entries
    f4=figure('Visible','Off');
    [N X]=hist(tmp(tmp<=mx),nbins); %Hist only R4 below mx specified above
    bar(X,N);
    set(gca,'YScale','log');
    title(['HISTOGRAM R_4 (<=' num2str(mx) ') FOR SET ' char(set_names(i)) sprintf('\n') 'REMAINING MEMBERS'],'FontSize',12);
    xlabel('Redundancy factor R_4 (ratio in fatigue life)');
    ylabel('Number of occurences (log-scale)');

    print(f4,'-dpng',[pwd '\MATLAB PLOTS\HISTOGRAM R4\FigureHistR4LT' num2str(mx) 'Set' strrep(char(set_names(i)),' ','') 'Pl5RemainingMembers.png']);
    close(f4);
    
    %Adjacent set
    tmp=changeR4_adjset_memb(dam_in_set==i,:);     tmp=tmp(tmp>0); %Extract all "valid" entries
    f4=figure('Visible','Off');
    [N X]=hist(tmp(tmp<=mx),nbins); %Hist only R4 below mx specified above
    bar(X,N);
    set(gca,'YScale','log');
    title(['HISTOGRAM R_4 (<=' num2str(mx) ') FOR SET ' char(set_names(i)) sprintf('\n') 'ADJACENT SET'],'FontSize',12);
    xlabel('Redundancy factor R_4 (ratio in fatigue life)');
    ylabel('Number of occurences (log-scale)');

    print(f4,'-dpng',[pwd '\MATLAB PLOTS\HISTOGRAM R4\FigureHistR4LT' num2str(mx) 'Set' strrep(char(set_names(i)),' ','') 'Pl3AdjacentSet.png']);
    close(f4);    
end

