%% PROCESS: Find and divide fatlif for adjacent members and the rest
%Find nodal connections for damaged member
node=zeros(nruns,2);
for i=1:nruns
    for j=1:size(element_node_conn,1)
        if run_id(i)==element_node_conn(j,1)
            node(i,1)=element_node_conn(j,2);
            node(i,2)=element_node_conn(j,3);
        end
    end
end

%Make sure clean matrices
fatlif_init_adj_memb=zeros(nruns,1);
fatlif_init_rest_memb=zeros(nruns,1);
fatlif_init_sameset_memb=zeros(nruns,1);
fatlif_init_adjset_memb=zeros(nruns,1);
fatlif_init_parset_memb=zeros(nruns,1);
fatlif_adj_memb=zeros(nruns,1);
fatlif_rest_memb=zeros(nruns,1);
fatlif_sameset_memb=zeros(nruns,1);
fatlif_adjset_memb=zeros(nruns,1);
fatlif_parset_memb=zeros(nruns,1);
clear adjacent_elements

%Find which elements are adjacent to damaged member (i.e. share same nodes)
tic;
for i=1:nruns
    k_ignore=0;
    k_ignore2=0;
    k_ignore3=0;
    k_ignore4=0;
    ind_node11=find(element_node_conn(:,2)==node(i,1));
    ind_node12=find(element_node_conn(:,2)==node(i,2));
    ind_node21=find(element_node_conn(:,3)==node(i,1));
    ind_node22=find(element_node_conn(:,3)==node(i,2));
    
    %Clear out the damaged element from results
    tmp=element_node_conn(ind_node11,1);
    elem11=tmp((element_node_conn(ind_node11,1)~=run_id(i)),1);
    tmp=element_node_conn(ind_node12,1);
    elem12=tmp((element_node_conn(ind_node12,1)~=run_id(i)),1);
    tmp=element_node_conn(ind_node21,1);
    elem21=tmp((element_node_conn(ind_node21,1)~=run_id(i)),1);
    tmp=element_node_conn(ind_node22,1);
    elem22=tmp((element_node_conn(ind_node22,1)~=run_id(i)),1);
    
    %Adjacent members
    adj_tmp=[elem11', elem12', elem21', elem22'];
    adj_uniq=unique(adj_tmp);
    for j=1:length(adj_uniq)                %#ok<*MSNU> 
        adjacent_elements(i,j)=adj_uniq(j); %#ok<SAGROW,AGROW> 
    end
    
    %Find fatlifs
    cnt=1;
    cnt2=1;
    cnt3=1;
    cnt4=1;
    cnt5=1;
    %First, find adjacent members
    for j=1:length(adj_uniq)
        for k=1:njoints
            if member_init(k)==adjacent_elements(i,j)   %Member k is adjacent member
                fatlif_init_adj_memb(i,cnt)=fatlif_init_noxy(k);         %#ok<SAGROW,AGROW>
                fatlif_adj_memb(i,cnt)=fatlif_noxy(i,k);                 %#ok<SAGROW,AGROW>
                k_ignore(cnt)=k;                                    %#ok<SAGROW,AGROW>
                cnt=cnt+1;
            end
        end
    end
    
    
    %Then, check for members in same set
    [r_d c_d]=find(set_members==run_id(i));
    for k=1:njoints
        if ~any(k_ignore==k); %If this member has not already been classified as adjacent...
            %Find set indices for member in joint
            [r_m c_m]=find(set_members==member_init(k));

            %...then check for same set
            if any(r_m==r_d)                              %Member k is in same set as damaged element
                fatlif_init_sameset_memb(i,cnt2)=fatlif_init_noxy(k);    %#ok<SAGROW,AGROW>
                fatlif_sameset_memb(i,cnt2)=fatlif_noxy(i,k);            %#ok<SAGROW,AGROW>
                k_ignore2(cnt2)=k;                                  %#ok<SAGROW,AGROW>
                cnt2=cnt2+1;
            end
        end
    end

    
    %Then, check for members in parallel set
    r_d=[];
    for j=1:ndamsets
        %Find which set (i.e. "j") damaged member is in
        tmp=find(strcmp(char(dam_in_set_unique_cell(j)),char(dam_in_set_cell(i)))); 
        if ~isempty(tmp)
            r_d=[r_d j];    %#ok<AGROW>
        end
    end
   
    for k=1:njoints
        if ~any(k_ignore==k) && ~any(k_ignore2==k) %If this member has not already been classified as adjacent or same set...
            %Find set indices for parallel member
            par_sets_ind=find(set_name_index_parallel(r_d,:));
            par_sets=set_name_index_parallel(r_d,par_sets_ind);
            [r_m c_m]=find(set_members(par_sets,:)==member_init(k));
            
            %...then check for par set
            if ~isempty(r_m)                             %Member k is in parallel set for damaged element
                fatlif_init_parset_memb(i,cnt4)=fatlif_init_noxy(k);    %#ok<SAGROW,AGROW>
                fatlif_parset_memb(i,cnt4)=fatlif_noxy(i,k);            %#ok<SAGROW,AGROW>
                k_ignore3(cnt4)=k;                                 %#ok<SAGROW,AGROW>
                cnt4=cnt4+1;
            end
        end
    end
    
    
    %Then, check for members in adjacent set
    for k=1:njoints
        if ~any(k_ignore==k) && ~any(k_ignore2==k) %If this member has not already been classified as adjacent or same set...
            %Find set indices for parallel member
            adj_sets_ind=find(set_name_index_adjacent(r_d,:));
            adj_sets=set_name_index_adjacent(r_d,adj_sets_ind);
            [r_m c_m]=find(set_members(adj_sets,:)==member_init(k));
            
            %...then check for adj set
            if ~isempty(r_m)                             %Member k is in adj set for damaged element
                fatlif_init_adjset_memb(i,cnt5)=fatlif_init_noxy(k);    %#ok<SAGROW,AGROW>
                fatlif_adjset_memb(i,cnt5)=fatlif_noxy(i,k);            %#ok<SAGROW,AGROW>
                k_ignore4(cnt5)=k;                                 %#ok<SAGROW,AGROW>
                cnt5=cnt5+1;
            end
        end
    end

    
    %Then, find the remaining members
    for j=1:njoints
        if ~any(k_ignore==j) && ~any(k_ignore2==j) && ~any(k_ignore3==j) && ~any(k_ignore3==j) %Member has not been classified
            fatlif_init_rest_memb(i,cnt3)=fatlif_init_noxy(j);    %#ok<SAGROW,AGROW>
            fatlif_rest_memb(i,cnt3)=fatlif_noxy(i,j);            %#ok<SAGROW,AGROW>
            cnt3=cnt3+1;
        end
    end
end