%% PROCESS: Find in which Set members bolong to
fprintf('...finding sets');
%Read in info about members in sets
sets_strct=dir('*.set');

nsetfiles=length(sets_strct);
set_file=cell(1,nsetfiles);
set_names=cell(1,nsetfiles);
if ~nsetfiles>0
    disp('ERROR! At least one *.set file should be in PWD!');
    logfile(21);
    return;
end

for i=1:nsetfiles
    set_file(i)=cellstr(sets_strct(i).name);
    fid_set=fopen(char(set_file(i)));
    if fid_set<0
        disp('ERROR: Could not open set file!');
        disp(char(set_file(i)));
        logfile(22);
        return;
    end
    
    %Read header
    set_names(i)=cellstr(fgets(fid_set));
    tmp=fscanf(fid_set,'%d');
    for j=1:length(tmp)
        set_members(i,j)=tmp(j);                        %#ok<SAGROW,AGROW>
    end
    
    fclose(fid_set);
end

%Find in which set each run_id is found (will create 1 if found, 0 if not)
run_set_logic=find_member_in(run_id,set_members);


%Find the trends, i.e. where damage is
fprintf('...trends...');

dam_in_set=cell(1,nruns);
for i=1:nruns
    %Find sets
    nmbr=find(run_set_logic(i,:));
    name='';
    for j=1:length(nmbr)
        name_sets(i,j)=set_names(nmbr(j));                  %#ok<SAGROW,AGROW>
        if j==1
            name=[name '' char(set_names(nmbr(j)))];        %#ok<AGROW>
        else
            name=[name ', ' char(set_names(nmbr(j)))];      %#ok<AGROW>
        end
    end
    %Cell containing name of set(s) where damage is
    dam_in_set(i)={char(name)};
end
fprintf('....\t\tOK!\n');

logfile(23);