%% Finds which members that have fatigue life below threshold after damage

%Folders
if ~exist([pwd '/MATLAB PLOTS'],'dir')
    mkdir([pwd '/MATLAB PLOTS']);
end

%Folders
if ~exist([pwd '/MATLAB FILES'],'dir')
    mkdir([pwd '/MATLAB FILES']);
end

%Folders
if ~exist([pwd '/MATLAB FILES/MIN FAT'],'dir')
    mkdir([pwd '/MATLAB FILES/MIN FAT']);
end

%% PLOT: Minimum sortet on joints
[min_fatlif_joint index_min_fatlif]=min(fatlif);
[min_fatlif_joint_extreme index_min_ext_fatlif]=min(min_fatlif_joint);
%nbins=15;
range=(0.5:1:9.5);

f1=figure('Visible','Off');
%hist(log10(min_fatlif_joint),nbins);
N_min_joint=hist(log10(min_fatlif_joint),range);
N_joint=hist(log10(fatlif_init),range);
bar(range,[N_min_joint' N_joint']);
legend('Impaired','Initial');
title(['HISTOGRAM MINIUMUM FATIGUE LIFE' sprintf('\n') 'FOR EACH JOINT']);
xlabel('log_1_0(fatigue life)');
ylabel('Frequency');
xtxt=log10(min_fatlif_joint_extreme);
ytxt=1.2*N_min_joint(1);
text(xtxt,ytxt,['Low: ' num2str(log10(min_fatlif_joint_extreme),1) ' (\approx' num2str(min_fatlif_joint_extreme,1) ' years)'], ...
                'VerticalAlignment','bottom','HorizontalAlignment','Left','BackgroundColor',[1 1 1],'EdgeColor','red','LineWidth',2);            

            
saveas(f1,[pwd '\MATLAB PLOTS\FigureMinimumFatigueHistogramLifePerJointAllRuns.fig'],'fig');
%print(f1,'-dpng',[pwd '\MATLAB PLOTS\FigureMinimumFatigueHistogramLifePerJointAllRuns.png']);

close(f1);

            
%% PLOT: Minimum sorted on runs

%Run
min_fatlif_run=min(fatlif,[],2);
[min_fatlif_run_extreme index_min_ext_fatlif_run]=min(min_fatlif_run);
nbins=10;

f2=figure('Visible','Off');
hist(log10(min_fatlif_run),nbins);
N=hist(log10(min_fatlif_run),nbins);
title(['HISTOGRAM MINIUMUM FATIGUE LIFE' sprintf('\n') 'FOR EACH DAMAGE CASE']);
xlabel('log_1_0(fatigue life)');
ylabel('Frequency');
xtxt=log10(min_fatlif_run_extreme);
ytxt=1.2*max(N(1:ceil(nbins/2)));
text(xtxt,ytxt,['Low: ' num2str(log10(min_fatlif_run_extreme),1) ' (\approx' num2str(min_fatlif_run_extreme,1) ' years)'], ...
                'VerticalAlignment','bottom','HorizontalAlignment','Left','BackgroundColor',[1 1 1],'EdgeColor','red','LineWidth',2);

print(f2,'-dpng',[pwd '\MATLAB PLOTS\FigureMinimumFatigueLifeHistogramPerRunAllRuns.png']);

close(f2);


%% Print of extreme occurence to file
file_name=[pwd '\MATLAB FILES\MIN FAT\MinimumExtremeFatigueLife.out'];
fid=fopen(file_name,'w');

ind=index_min_ext_fatlif;
ind2=index_min_fatlif(ind);     %index for damage case

fprintf(fid,'MIMIMUM FATIGUE LIFE\n');
fprintf(fid,'     Joint\t    Member\t             Set\t    Damage (      Set       )\t Initial\tImpaired\t     FAF\n');
fprintf(fid,'--------------------------------------------------------------------------------------------------------------------------------\n');

fprintf(fid,'%10d\t%10d\t%16s\t%10d (%16s)\t%1.1e\t%1.1e\t%1.1e\n',joint_init(ind),member_init(ind),char(set_names(member_in_set(ind))),run_id(ind2),char(dam_in_set_cell(ind2)),fatlif_init(ind),min_fatlif_joint(ind),faf_all(ind));


fclose(fid);

%% Print of lowest occurences to file (give threshold)
%Select a threshold
thresholds=[5 10 20 50 100]; %years


for i=1:length(thresholds)
    threshold=thresholds(i);
    ind_fatlif_below_thrsh=find(min_fatlif_joint<=threshold);
    
    file_name=[pwd '\MATLAB FILES\MIN FAT\MinimumFatigueLifeLT' num2str(threshold) '.out'];
    fid=fopen(file_name,'w');
    
    fprintf(fid,'MIMIMUM FATIGUE LIFE BELOW %.1f YEARS\n\n',threshold);
    fprintf(fid,'     Joint\t    Member\t             Set\t    Damage (      Set       )\t Initial\tImpaired\t     FAF\n');
    fprintf(fid,'--------------------------------------------------------------------------------------------------------------------------------\n');
    for j=1:length(ind_fatlif_below_thrsh)
        ind=ind_fatlif_below_thrsh(j);  %index in fatlif matrices (joint index)
        ind2=index_min_fatlif(ind);     %index for damage case
        
%         %Collect data for use later
%         joint_init(ind);
%         member_init(ind);
%         char(set_names(member_in_set(ind)));
%         run_id(ind2);
%         char(dam_in_set_cell(ind2));
%         fatlif_init(ind);
%         min_fatlif_joint(ind);
        fprintf(fid,'%10d\t%10d\t%16s\t%10d (%16s)\t%1.1e\t%1.1e\t%1.1e\n',joint_init(ind),member_init(ind),char(set_names(member_in_set(ind))),run_id(ind2),char(dam_in_set_cell(ind2)),fatlif_init(ind),min_fatlif_joint(ind),faf_all(ind));
    end
    
    fclose(fid);
end






