%#ok<*MSNU> 


%% PROCESS: Calculate "fatigue" redundancy factor "R3"

change_adj_memb=fatlif_adj_memb./fatlif_init_adj_memb;
change_sameset_memb=fatlif_sameset_memb./fatlif_init_sameset_memb;
change_parset_memb=fatlif_parset_memb./fatlif_init_parset_memb;
change_adjset_memb=fatlif_adjset_memb./fatlif_init_adjset_memb;
change_rest_memb=fatlif_rest_memb./fatlif_init_rest_memb;

%% PROCESS: Clear up some mathematical "errors" from calculating R3
%Remove NaN by replacing them with "100 000" (a NaN is because 0/0 due to
%different sizes in matrix row, a large R3 is of no interest anyway (all R3>1 = increase in fatlif), thus
%100 000...
change_adj_memb(isnan(change_adj_memb))=100000;
%change_adj_memb(isinf(change_adj_memb))=0;

change_sameset_memb(isnan(change_sameset_memb))=100000;
%change_sameset_memb(isinf(change_sameset_memb))=0;

change_parset_memb(isnan(change_parset_memb))=100000;
%change_parset_memb(isinf(change_parset_memb))=0;

change_adjset_memb(isnan(change_adjset_memb))=100000;
%change_adjset_memb(isinf(change_adjset_memb))=0;

change_rest_memb(isnan(change_rest_memb))=100000;
%change_rest_memb(isinf(change_rest_memb))=0;



%% PROCESS: Collect change data into sets instead of runs
cnt1=zeros(1,ndamsets);
cnt2=zeros(1,ndamsets);
cnt3=zeros(1,ndamsets);
cnt4=zeros(1,ndamsets);
cnt5=zeros(1,ndamsets);
cnt6=zeros(1,ndamsets);
clear change_adj_memb_tot change_sameset_memb_tot change_parset_memb_tot change_adjset_memb_tot change_rest_memb_tot change_all_tot
for i=1:nruns
    for j=1:ndamsets
        if strcmp(char(dam_in_set_cell(i)),char(dam_in_set_unique_cell(j)))
            %Collect changes
            tmp1=change_adj_memb(i,change_adj_memb(i,:)>0);
            tmp2=change_sameset_memb(i,change_sameset_memb(i,:)>0);
            tmp3=change_parset_memb(i,change_parset_memb(i,:)>0);
            tmp5=change_adjset_memb(i,change_adjset_memb(i,:)>0);
            tmp4=change_rest_memb(i,change_rest_memb(i,:)>0);
            for k=1:length(tmp1)
                cnt1(j)=cnt1(j)+1;
                change_adj_memb_tot(j,cnt1(j))=tmp1(k); %#ok<AGROW,SAGROW>
                cnt5(j)=cnt5(j)+1;
                change_all_tot(j,cnt5(j))=tmp1(k);      %#ok<AGROW,SAGROW>
            end
            for k=1:length(tmp2)
                cnt2(j)=cnt2(j)+1;
                change_sameset_memb_tot(j,cnt2(j))=tmp2(k); %#ok<AGROW,SAGROW>
                cnt5(j)=cnt5(j)+1;
                change_all_tot(j,cnt5(j))=tmp2(k);          %#ok<AGROW,SAGROW>
            end
            for k=1:length(tmp3)
                cnt3(j)=cnt3(j)+1;
                change_parset_memb_tot(j,cnt3(j))=tmp3(k); %#ok<AGROW,SAGROW>
                cnt5(j)=cnt5(j)+1;
                change_all_tot(j,cnt5(j))=tmp3(k);         %#ok<AGROW,SAGROW>
            end
            for k=1:length(tmp5)
                cnt6(j)=cnt6(j)+1;
                change_adjset_memb_tot(j,cnt6(j))=tmp5(k); %#ok<AGROW,SAGROW>
                cnt5(j)=cnt5(j)+1;
                change_all_tot(j,cnt5(j))=tmp5(k);         %#ok<AGROW,SAGROW>
            end            
            for k=1:length(tmp4)
                cnt4(j)=cnt4(j)+1;
                change_rest_memb_tot(j,cnt4(j))=tmp4(k); %#ok<AGROW,SAGROW>
                cnt5(j)=cnt5(j)+1;
                change_all_tot(j,cnt5(j))=tmp4(k);       %#ok<AGROW,SAGROW>
            end
            
            
            break; 
        end
    end
end