%% PROCESS: Calculate "fatigue" redundancy factor "R4"

%R4 is related to R3 (aka change):
changeR4_adj_memb=1./(1-change_adj_memb);
changeR4_sameset_memb=1./(1-change_sameset_memb);
changeR4_parset_memb=1./(1-change_parset_memb);
changeR4_adjset_memb=1./(1-change_adjset_memb);
changeR4_rest_memb=1./(1-change_rest_memb);

changeR4_adj_memb_tot=1./(1-change_adj_memb_tot);
changeR4_sameset_memb_tot=1./(1-change_sameset_memb_tot);
changeR4_parset_memb_tot=1./(1-change_parset_memb_tot);
changeR4_adjset_memb_tot=1./(1-change_adjset_memb_tot);
changeR4_rest_memb_tot=1./(1-change_rest_memb_tot);


%% PROCESS: Clear up some mathematical "errors" from calculating R4
%Remove NaN by replacing them with "0" (a NaN is because 0/0 due to
%different sizes in matrix row, R4=0 is impossible, thus easy to remove
%later on. +/-InF is due to fatlif has not changed in impaired condition 
%(or change is neglible), thus also put this as a zero
    changeR4_adj_memb(isnan(changeR4_adj_memb))=0;
    changeR4_adj_memb(isinf(changeR4_adj_memb))=0;
    changeR4_adj_memb_tot(isnan(changeR4_adj_memb_tot))=0;
    changeR4_adj_memb_tot(isinf(changeR4_adj_memb_tot))=0;    
    
    changeR4_sameset_memb(isnan(changeR4_sameset_memb))=0;
    changeR4_sameset_memb(isinf(changeR4_sameset_memb))=0;
    changeR4_sameset_memb_tot(isnan(changeR4_sameset_memb_tot))=0;
    changeR4_sameset_memb_tot(isinf(changeR4_sameset_memb_tot))=0;
    
    changeR4_parset_memb(isnan(changeR4_parset_memb))=0;
    changeR4_parset_memb(isinf(changeR4_parset_memb))=0;
    changeR4_parset_memb_tot(isnan(changeR4_parset_memb_tot))=0;
    changeR4_parset_memb_tot(isinf(changeR4_parset_memb_tot))=0;
    
    changeR4_adjset_memb(isnan(changeR4_adjset_memb))=0;
    changeR4_adjset_memb(isinf(changeR4_adjset_memb))=0;
    changeR4_adjset_memb_tot(isnan(changeR4_adjset_memb_tot))=0;
    changeR4_adjset_memb_tot(isinf(changeR4_adjset_memb_tot))=0;
    
    changeR4_rest_memb(isnan(changeR4_rest_memb))=0;
    changeR4_rest_memb(isinf(changeR4_rest_memb))=0;
    changeR4_rest_memb_tot(isnan(changeR4_rest_memb_tot))=0;
    changeR4_rest_memb_tot(isinf(changeR4_rest_memb_tot))=0;
    
%for i=1:nruns    
%     for j=1:length(changeR4_adj_memb(i,:))
%         if ~isreal(changeR4_adj_memb(i,j))
%             changeR4_adj_memb(i,j)=0;
%         end
%     end
%     
%     for j=1:length(changeR4_sameset_memb(i,:))
%         if ~isreal(changeR4_sameset_memb(i,j))
%             changeR4_sameset_memb(i,j)=0;
%         end
%     end
%     
%     for j=1:length(changeR4_parset_memb(i,:))
%         if ~isreal(changeR4_parset_memb(i,j))
%             changeR4_parset_memb(i,j)=0;
%         end
%     end
%     
%     for j=1:length(changeR4_adjset_memb(i,:))
%         if ~isreal(changeR4_adjset_memb(i,j))
%             changeR4_adjset_memb(i,j)=0;
%         end
%     end
%     
%     for j=1:length(changeR4_rest_memb(i,:))
%         if ~isreal(changeR4_rest_memb(i,j))
%             changeR4_rest_memb(i,j)=0;
%         end
%     end
%end

