%% PROCESS: Calculate "fatigue" redundancy factor R4

change_adj_memb=(fatlif_init_adj_memb./(fatlif_init_adj_memb-fatlif_adj_memb));
change_sameset_memb=(fatlif_init_sameset_memb./(fatlif_init_sameset_memb-fatlif_sameset_memb));
change_parset_memb=(fatlif_init_parset_memb./(fatlif_init_parset_memb-fatlif_parset_memb));
change_adjset_memb=(fatlif_init_adjset_memb./(fatlif_init_adjset_memb-fatlif_adjset_memb));
change_rest_memb=(fatlif_init_rest_memb./(fatlif_init_rest_memb-fatlif_rest_memb));

%% PROCESS: Clear up some mathematical "errors" from calculating R4
%Remove InF and NaN by replacing them with "0" (R4=0 will most likely NEVER
%occur, and should it it will be of no interest), and InF and NaN are also of no interest
for i=1:nruns
    change_adj_memb(i,isnan(change_adj_memb(i,:)))=0;
    change_adj_memb(i,isinf(change_adj_memb(i,:)))=0;
    
    change_sameset_memb(i,isnan(change_sameset_memb(i,:)))=0;
    change_sameset_memb(i,isinf(change_sameset_memb(i,:)))=0;
    
    change_parset_memb(i,isnan(change_parset_memb(i,:)))=0;
    change_parset_memb(i,isinf(change_parset_memb(i,:)))=0;
    
    change_adjset_memb(i,isnan(change_adjset_memb(i,:)))=0;
    change_adjset_memb(i,isinf(change_adjset_memb(i,:)))=0;
    
    change_rest_memb(i,isnan(change_rest_memb(i,:)))=0;
    change_rest_memb(i,isinf(change_rest_memb(i,:)))=0;
    
    for j=1:length(change_adj_memb(i,:))
        if ~isreal(change_adj_memb(i,j))
            change_adj_memb(i,j)=0;
        end
    end
    
    for j=1:length(change_sameset_memb(i,:))
        if ~isreal(change_sameset_memb(i,j))
            change_sameset_memb(i,j)=0;
        end
    end
    
    for j=1:length(change_parset_memb(i,:))
        if ~isreal(change_parset_memb(i,j))
            change_parset_memb(i,j)=0;
        end
    end
    
    for j=1:length(change_adjset_memb(i,:))
        if ~isreal(change_adjset_memb(i,j))
            change_adjset_memb(i,j)=0;
        end
    end
    
    for j=1:length(change_rest_memb(i,:))
        if ~isreal(change_rest_memb(i,j))
            change_rest_memb(i,j)=0;
        end
    end
   
end



