function []=create_data_files(dir_res,run_id,damage,fatlif,joint,member,member_type)


    [a,b,c]=mkdir(pwd,dir_res);
    
    %Create a simple text files containg the results formatted with tabs
    if ~isempty(run_id) %If element removal case
        file_all=[dir_res '/DamageDataEl-' num2str(run_id) '.dat'];
        file_lif=[dir_res '/LifeDataEl-' num2str(run_id) '.dat'];
    else
        file_all=[dir_res '/DamageDataInit.dat'];
        file_lif=[dir_res '/LifeDataInit.dat'];
    end
    
    fid_all=fopen(file_all,'w');
    if fid_all<0
        disp('ERROR: Could not write out damage data to file!');
        disp(file_all);
        return;
    end
    
    fid_lif=fopen(file_lif,'w');
    if fid_lif<0
        disp('ERROR: Could not write out damage data to file!');
        disp(file_lif);
        return;
    end    
     
    
    for j=1:length(damage)
        %Write out all damage data in excel friendly format
        if j==1 %Write out headers only once
            fprintf(fid_all,'Joint\tElement\tType\tDamage\n');
            fprintf(fid_lif,'Joint\tElement\tType\tLife\n');
        end
        fprintf(fid_all,'%d\t%d\t%s\t%e\n',joint(j),member(j),member_type(j),damage(j));
        fprintf(fid_lif,'%d\t%d\t%s\t%e\n',joint(j),member(j),member_type(j),fatlif(j));
    end
    %Save the number of relevant changes per run
    
    %Close data files
    fclose(fid_all);
    fclose(fid_lif);
    
    %Copy files to more acessible folders
    copyfile([dir_res '/DamageData*.dat'],[pwd '/MATLAB FILES/Damage/'],'f');
    copyfile([dir_res '/LifeData*.dat'],[pwd '/MATLAB FILES/Life/'],'f');
    
end

